let selectListTree = {
  path: "org/organization/selectListTree",
  method: "post",
  'result|1-10': [
    {
      'baseId|+1': 1,
      orgName: "@cname 组织",
      icon: "nf-iconfont newlife-organizations",
      'children|1-10': [{
        baseId: "@guid",
        parentBaseId: '@id',
        orgName: "@cname 组织",
        icon: "nf-iconfont newlife-organizations"
      }]
    }
  ]
};
let selectPageListDepartment = {
  path: "org/department/selectPageListDepartment",
  method: "post",
  result: {
    curPage: 1,
    pageSize: 10,
    total: "@integer(30,60)",
    "pageData|30": [
      {
        baseId: "@guid",
        'deptCode|+1': 1,
        deptName: "@cword(1,3) 部门",
        deptTelPerson: "@cname",
        deptTel: "@integer(19953152222,19953154222)",
        deptDescription: "@csentence(5,10)",
        remark: "@csentence(5,10)"
      }
    ]
  }
};
let deleteListDepartment = {
  path: "org/department/deleteListDepartment",
  method: "post",
  result: "@integer(1,5)"
};
let deleteOneDepartment = {
  path: "org/department/deleteOneDepartment",
  method: "post",
  result: 1
};
//验证Oauth报错，路由状态调试
let code = {
  path: "code/serverCode",
  method: "post",
  status:"555",
  code:"500006",
  message:"认证信息错误",
  result:null,
};
export default {
  selectListTree,
  selectPageListDepartment,
  deleteListDepartment,
  deleteOneDepartment,
  code
}

