import utilNotEmpty from './UtilNotEmpty'

export default class UtilApi {
  //TODO:解释axios请求路径
  static interpretApi(api) {
    if (!utilNotEmpty.normal(api)) {
      throw "interpretApi参数为空";
    }
    let curApi = api.split('/');
    if (curApi.length !== 2) {
      throw "api[" + api + "]配置错误";
    }
    let apiName = curApi[0];
    let apiMethod = curApi[1];
    if (!apiName || !apiMethod) {
      throw "api[" + api + "]配置错误";
    }
    return {
      apiName: apiName,
      apiMethod: apiMethod
    }
  };
}
