export default class UtilNotEmpty {
  static string(str) {
    return undefined !== str && null !== str && str.length > 0;
  };

  static obj(obj) {
    return undefined !== obj && null !== obj && Object.keys(obj).length > 0;
  };

  static normal(value) {
    return undefined !== value && null !== value;
  };

  static array(arr) {
    return undefined !== arr && null !== arr && Array.isArray(arr) && arr.length > 0;
  };

  static isTrue(bo) {
    return undefined !== bo && null !== bo && bo === true;
  }

  static number(number) {
    return undefined !== number && null !== number && typeof number === 'number' && !isNaN(number);
  }
}
