import {THEME_NAMES_KEY} from "../const/NfConst";
import UtilNotEmpty from "./UtilNotEmpty";

export default class UtilTheme {
  static changeTheme(themeName) {
    if (UtilNotEmpty.string(themeName)) {
      let key = themeName.replace('-', "_");
      let value = THEME_NAMES_KEY[key];
      if (value) {
        document.body.setAttribute('data-theme', value);
      }
    }
  }
}
