import UtilMessage from "../../../../utils/js/UtilMessage";
export default (httpInstance) => {
  return {
    getImgCode(params) {
      return httpInstance.post("org/department/selectListDepartment", params);
    },
    selectListDepartment(params) {
      return httpInstance.post("org/department/selectListDepartment", params);
    },
    selectPageListDepartment(params) {
      return httpInstance.post("org/department/selectPageListDepartment", params);
    },
    deleteListDepartment(params) {
      return UtilMessage.confirm("确定要删除选中的部门吗？").then(() => {
        return httpInstance.post("org/department/deleteListDepartment", params);
      });
    },
    deleteOneDepartment(params) {
      return UtilMessage.confirm("确定要删除该部门吗？").then(() => {
        return httpInstance.post("org/department/deleteOneDepartment", params);
      });
    },
    selectListTree(param) {
      return httpInstance.post("org/organization/selectListTree", param);
    },
    userMenus(param){
      return httpInstance.post("org/user/userMenus", param);
    },
    serverCode(param){
      return httpInstance.post("code/serverCode", param);
    }
  }
}
