export default class NfTabs {
  constructor() {
    throw "NfTabs为单利模式，请使用init或instance获取实例！"
  }

  static init(components, Vue) {
    if (!this.components) {
      if (components) {
        this.components = components;
        Object.getOwnPropertyNames(components).forEach(key => {
          Vue.component(components[key].name, components[key]);
        });
      } else {
        this.components = {};
      }
    }
    return this.components;
  }
}
