const state = {
  loginToken: {},
  routerPath: "",
};
// 设置变化
const mutations = {
  ['setLoginToken'](state, token) {
    state.loginToken = token;
  },
  ['setRouterPath'](state, path) {
    state.routerPath = path;
  }
};
const actions = {
  setLoginToken(context, token) {
    context.commit('setLoginToken', token);
  },
  setRouterPath(context, path) {
    context.commit('setRouterPath', path);
  },
};
const getters = {
  loginToken: state => {
    return state.loginToken;
  },
  routerPath: state => {
    return state.routerPath;
  }
};

export default {
  state,
  mutations,
  actions,
  getters,
}
