import {Loading} from 'element-ui';

let loadingCount = 0;
let utilLoading;
const startLoading = () => {
  utilLoading = Loading.service({
    lock: true,
    text: '正在加载中...',
    spinner: 'el-icon-utilLoading',
    background: 'rgba(232, 232, 232, 0.3)'
  });
};

const endLoading = () => {
  utilLoading.close();
};
export default class UtilLoading {
  static showLoading() {
    if (loadingCount === 0) {
      startLoading();
    }
    loadingCount += 1;
  }

  static hideLoading() {
    if (loadingCount <= 0) {
      return;
    }
    loadingCount -= 1;
    if (loadingCount === 0) {
      endLoading();
    }
  }
}
