import {Message, MessageBox} from 'element-ui';

export default class UtilMessage {
  /**
   * 提示
   * @param msg
   */
  static warning(msg) {
    Message.warning(msg);
  }

  static success(msg) {
    Message.success(msg);
  }

  static error(msg) {
    Message.error(msg);
  }

  static confirm(msg) {
    return MessageBox.confirm(msg, '提示',
      {type: 'warning', confirmButtonText: '确定', cancelButtonText: '取消'});
  }
}
