export default class UtilOperateObject {
  /**
   * 提示
   * @param msg
   */
  /**拷贝用户组*/
  static copy(obj) {
    let objClone = Array.isArray(obj) ? [] : {};
    if (obj && typeof obj === 'object') {
      for (let key in obj) {
        if (obj[key] && typeof obj[key] === 'object') {
          objClone[key] = this.copy(obj[key]);
        } else {
          objClone[key] = obj[key]
        }
      }
    }
    return objClone;
  }

  /**
   * 重置对象
   */
  static reset(object) {
    if (undefined !== object) {
      for (let key in object) {
        //忽略继承属性
        if (object.hasOwnProperty(key)) {
          object[key] = "";
        }
      }
    }
  }

  static push2target(sourceObject, targetObject) {
    for (let key in sourceObject) {
      if (sourceObject.hasOwnProperty(key)) {
        targetObject[key] = sourceObject[key];
      }
    }
  }
}
